libsigc++: sigc::pointer_functor1< T_arg1, T_return > Class Template Reference

libsigc++ 2.2.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes

# sigc::pointer_functor1< T_arg1, T_return > Class Template Reference
ptr_fun()

pointer_functor1 wraps existing non-member functions with 1 argument(s). More...

`#include <sigc++/functors/ptr_fun.h>`

Inheritance diagram for sigc::pointer_functor1< T_arg1, T_return >:
[legend]

List of all members.

## Public Types
typedef T_return | result_type
## Public Member Functions
| pointer_functor1 ()
| Constructs an invalid functor.
| pointer_functor1 (function_type _A_func)
| Constructs a pointer_functor1 object that wraps an existing function.
T_return | operator() (typename type_trait< T_arg1 >::take _A_a1) const
| Execute the wrapped function.
## Protected Attributes
function_type | func_ptr_

## Detailed Description

### template<class T_arg1, class T_return>
class sigc::pointer_functor1< T_arg1, T_return >

pointer_functor1 wraps existing non-member functions with 1 argument(s).

Use the convenience function ptr_fun() to create an instance of pointer_functor1.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_return The return type of operator()().

## Constructor & Destructor Documentation

template <class T_arg1 , class T_return >

sigc::pointer_functor1< T_arg1, T_return >::pointer_functor1 | ( | function_type | _A_func | ) | `[inline, explicit]`

Constructs a pointer_functor1 object that wraps an existing function.

Parameters:

  _A_func | Pointer to function that will be invoked from operator()().

## Member Function Documentation

template <class T_arg1 , class T_return >

T_return sigc::pointer_functor1< T_arg1, T_return >::operator() | ( | typename type_trait< T_arg1 >::take | _A_a1 | ) | const`[inline]`

Execute the wrapped function.

Parameters:

  _A_a1 | Argument to be passed on to the function.

Returns:
  The return value of the function invocation.